import { IErrorData, IRootData, IDictionary } from "../Data/Interfaces.js";
import ContextModel from "./ContextModel.js";
import Model from "../Data/Model.js";
import { default as EditorCollection } from "./EditorCollection.js";
import { default as ErrorModel } from "./ErrorModel.js";
export default class RootModel extends Model {
    private m_errors;
    private m_context;
    private m_editorCollection;
    private m_postbackHandlerFn;
    constructor(options: IRootData);
    get context(): ContextModel;
    get editors(): EditorCollection;
    get initialized(): boolean;
    get initializers(): IDictionary;
    get errors(): Array<ErrorModel>;
    get postbackHandler(): Function;
    set postbackHandler(callback: Function);
    clearErrors(): void;
    loadErrors(errors?: Array<IErrorData>): void;
    toJSON(): IRootData;
}
